
%global meadversion 1.8.0
%global namedversion 1.8.0.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package aesh-extensions}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.8.0.redhat-00001

Name:           %{?scl_prefix}aesh-extensions
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Aesh Extensions All
Group:          Development/Java

%if %with mead
Source100: extensions-all-1.8.0.redhat-00001-project-sources.tar.gz
Source102: aesh-extensions-1.8.0.redhat-00001.jar
Source103: aesh-extensions-1.8.0.redhat-00001-tests.jar
Source104: extensions-all-1.8.0.redhat-00001-javadoc.jar
Source105: readline-extensions-1.8.0.redhat-00001.jar
Source106: readline-extensions-1.8.0.redhat-00001-tests.jar
Source107: aesh-extensions-1.8.0.redhat-00001.pom
Source108: readline-extensions-1.8.0.redhat-00001.pom
Source109: extensions-all-1.8.0.redhat-00001.pom
Source110: aesh-extensions-1.8.0.redhat-00001-sources.jar
Source111: readline-extensions-1.8.0.redhat-00001-sources.jar
%endif

License:        ASL 2.0
URL:            https://github.com/aeshell/aesh-extensions
BuildArch:      noarch
BuildRoot:      %{_tmppath}/aesh-extensions-%{namedversion}-%{release}-root

%description
Extensions for Aesh http://aeshell.github.com/.

%package readline-extensions
Summary:        Aesh Readline Extensions
Group:          Development/Java


%description readline-extensions
Commands that may be used as part of a Aesh readline program.

%if %with javadoc
%package javadoc
Summary:        Javadoc for aesh-extensions
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n extensions-all-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/aesh-extensions-%{namedversion}.jar %{buildroot}%{_javadir}/aesh-extensions-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/aesh-extensions-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/aesh-extensions-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/aesh-extensions-%{namedversion}-sources.jar %{buildroot}%{_javadir}/aesh-extensions-%{namedversion}-sources.jar

%{__cp} -p %{_sourcedir}/readline-extensions-%{namedversion}.jar %{buildroot}%{_javadir}/readline-extensions-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/readline-extensions-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/readline-extensions-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/readline-extensions-%{namedversion}-sources.jar %{buildroot}%{_javadir}/readline-extensions-%{namedversion}-sources.jar

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/aesh-extensions-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/aesh-extensions-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/aesh-extensions-%{namedversion} -x META-INF/\*
%{__ln_s} aesh-extensions-%{namedversion} %{buildroot}%{_javadocdir}/aesh-extensions
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE README.asciidoc
%{_javadir}/aesh-extensions-%{namedversion}.jar
%{_javadir}/aesh-extensions.jar
%if %with javadoc
%{_javadir}/aesh-extensions-%{namedversion}-javadoc.jar
%{_javadir}/aesh-extensions-javadoc.jar
%endif
%{_javadir}/aesh-extensions-%{namedversion}-sources.jar
%{_javadir}/aesh-extensions-sources.jar

%files readline-extensions
%{_javadir}/readline-extensions-%{namedversion}.jar
%{_javadir}/readline-extensions.jar
%if %with javadoc
%{_javadir}/readline-extensions-%{namedversion}-javadoc.jar
%{_javadir}/readline-extensions-javadoc.jar
%endif
%{_javadir}/readline-extensions-%{namedversion}-sources.jar
%{_javadir}/readline-extensions-sources.jar


%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/aesh-extensions-%{namedversion}
%{_javadocdir}/aesh-extensions
%endif

%changelog
* Thu Sep 12 2019 Yong Yang <yyang@redhat.com> - 1.8.0-1.redhat_00001.1
- RPM wrapper build 1.8.0.redhat-00001

* Thu Sep 12 2019 Yong Yang <yyang@redhat.com> - 1.8.0-1.redhat_00001.1
- RPM wrapper build 1.8.0.redhat-00001

* Thu Jul 18 2019 Permaine Cheung <pcheung@redhat.com> - 1.7.0-1.redhat_00001.1
- 1.7.0.redhat-00001

* Thu Jul 18 2019 Permaine Cheung <pcheung@redhat.com> - 1.7.0-1.redhat_00001.1
- 1.7.0.redhat-00001

* Tue Sep 11 2018 Permaine Cheung <pcheung@redhat.com> - 1.6.0-2.redhat_00001.1
- Add readline-extensions subpackage

* Mon Jul 23 2018 Petr Sakar <psakar@redhat.com> - 1.6.0-1.redhat_00001.1
- upgrade to 1.6.0.redhat-00001

* Mon Jun 11 2018 Permaine Cheung <pcheung@redhat.com> - 1.3.0-2.redhat_1.1
- Rewrap for 7.2.0

* Mon May 21 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 1.3.0-1.redhat_1.1
- upgrade to 1.3.0.redhat-1

* Thu May 10 2018 Yong Yang <yyang@redhat.com> - 1.0.0-1.redhat_1.1
- 1.0.0.redhat-1 

* Thu May 10 2018 Yong Yang <yyang@redhat.com> - 1.0.0-1.redhat_1.1
- 1.0.0.redhat-1
